%define prefix /opt/pango

Summary: System for layout and rendering of internationalized text
Name: pango-gtkss
Version: 0.10
Release: 2
Copyright: LGPL
Group: System Environment/Libraries
Source: http://www.pango.org/download/pango-%{version}.tar.gz
BuildRoot: /var/tmp/pango-%{PACKAGE_VERSION}-root

%description
System for layout and rendering of internationalized text.

%package devel
Summary:  System for layout and rendering of internationalized text
Group: Development/Libraries
Requires: pango-gtkss = %{PACKAGE_VERSION}
Requires: libunicode-gtkss-devel
Requires: fribidi-gtkss-devel
Requires: XFree86-devel

%description devel
The pango-devel package includes the static libraries and header files
for the pango package.

Install pango-devel if you want to develop programs which will use
pango.

%changelog
* Wed Apr 26 2000 Owen Taylor <otaylor@redhat.com>
- Make the devel package require *-gtkss-* not the normal packages.

* Tue Apr 25 2000 Owen Taylor <otaylor@redhat.com>
- GTK+ snapshot version installing in /opt/pango

* Fri Feb 11 2000 Owen Taylor <otaylor@redhat.com>
- Created spec file

%prep
%setup -n pango-%{version}

%build
PATH=%{prefix}/bin:$PATH GTK_CONFIG=/nowhere CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}

make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if ! test -d %{prefix}/var/lib/pango ; then
  mkdir -p %{prefix}/var/lib/pango/
fi
%{prefix}/bin/pango-querymodules %{prefix}/lib/pango/modules/*.so > %{prefix}/var/lib/pango/pango.modules

%postun -p /sbin/ldconfig

%files
%doc README AUTHORS COPYING ChangeLog TODO
%doc examples/HELLO.utf8
%{prefix}/lib/libpango*-*.so
%{prefix}/bin/pango-querymodules
%{prefix}/lib/pango/modules/*
%config %{prefix}/etc/pango/pangox_aliases

%files devel
%defattr(-, root, root)
%{prefix}/lib/libpango*.so
%{prefix}/bin/pango-config
%{prefix}/lib/libpango*.a
%{prefix}/include/*


